Bug 644929 - FDS-to-389 migration does not remove Fedora entries
Summary: FDS-to-389 migration does not remove Fedora entries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Migration
Version: 1.2.7
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.7
TreeView+ depends on / blocked
 
Reported: 2010-10-20 16:02 UTC by Endi Sukma Dewata
Modified: 2015-12-07 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:30:44 UTC


Attachments (Terms of Use)
0001-Bug-644929-FDS-to-389-DS-migration-results-in-both-F.patch (3.65 KB, patch)
2010-10-21 19:32 UTC, Endi Sukma Dewata
rmeggins: review+
Details | Diff

Description Endi Sukma Dewata 2010-10-20 16:02:50 UTC
The admin upgrade script 25changefedorato389.pl in admserv/newinst/src is supposed to rename all occurrences of Fedora into 389. For Fedora entries under NetscapeRoot the script does create new 389 entries but it doesn't remove the old one. So at the end of migration the NetscapeRoot contains both Fedora and 389 entries. The server will work just fine, but the Fedora entries should have been removed.

Steps to Reproduce:
1. Install FDS and 389 DS on the same machine.
2. Use migrate-ds-admin.pl to migrate to 389 DS.
3. Search NetscapeRoot for Fedora and 389 entries.
  
Actual results:
Currently the search returns both Fedora and 389 entries.

Expected results:
The NetscapeRoot should only contain 389 entries.

Comment 1 Endi Sukma Dewata 2010-10-21 19:32:19 UTC
Created attachment 454920 [details]
0001-Bug-644929-FDS-to-389-DS-migration-results-in-both-F.patch

Comment 2 Endi Sukma Dewata 2010-10-23 02:07:48 UTC
Thanks for the review! Pushed to master:

Counting objects: 13, done.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 1.09 KiB, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://edewata@git.fedorahosted.org/git/389/admin.git
   22276b9..d2610dd  master -> master

Comment 3 Amita Sharma 2011-08-16 08:18:31 UTC
I have tested this for DS8.2 upgrade/migration to DS9.0.
There is only - Red Hat Directory Server and Red Hat Administrator Server are there.

Hence marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.